<?php

require_once __DIR__ . '/../vendor/autoload.php';

use jrosset\SemVer\Version;

echo '======= Empty version =======' . PHP_EOL;
$version = new Version();
var_dump((string)$version, $version->toShortString(), $version);

echo '======= Version "complète" =======' . PHP_EOL;
$version = Version::parse('1.0.0-alpha.1-0+12587-6');
var_dump((string)$version, $version->toShortString(), $version);

echo '======= Last git version =======' . PHP_EOL;
$version = Version::getGitLastTag(__DIR__ . '/../');
var_dump((string)$version, $version->toShortString(), $version);